import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

class f1 extends f_xj
{
public double func(double x[])
{
//optimisation function	
double ff;
ff=2.0*x[0]*x[1]+2.0*x[0]-x[0]*x[0]-2.0*x[1]*x[1];
return ff;
}}

  public class Plot3DT2
  {
  public static void main(String[] args) 
  { f1 fa=new f1();
    ContourPlot aPlot = new ContourPlot(fa,-4.0,4.0,40,-4.0,4.0,40,20, false,
										"f(x,y)", "x", "y");
	aPlot.plot();
  }
  }